[APP][O][XPOSED] GravityBox v8.6.0 - tweak box for Android 8 [14/02/2021]

chrriiiss

Member
Jun 11, 2013
24
1
0
Is it possible to increase the long-press duration for the torch on power long-press? I'm finding that there are too many accidental triggers because the duration is too short.
 

C3C076

Recognized Contributor
Dec 15, 2012
7,741
24,551
263
Bratislava
ceco.sk.eu.org
@C3C076 have you tested if the regular version of GB Oreo 8.5.3 works with any edxposed versions other than 0.4.1.2 which is buggy?
Yes, it works. But note that there's a resource hooking related bug in EdXposed v4.1.2_beta on Oreo which causes quite remarkable system slowdown so I don't recommend using it until it's fixed. Bug reported here: https://github.com/ElderDrivers/EdXposed/issues/236
 

Ghisy

Senior Member
Mar 27, 2010
1,402
209
83
@C3C076, hi again!
If I install the Sandhook version of EdXposed (0.4.1.2 beta), should I install GB 8.5.3 Oreo? I know it uses resources hooking so I shouldn't install the EdXposed version of GB, right? (my question is for Pie)
Sorry for the question, it's a little confusing!
 
Last edited:

C3C076

Recognized Contributor
Dec 15, 2012
7,741
24,551
263
Bratislava
ceco.sk.eu.org
@C3C076, hi again!
If I install the Sandhook version of EdXposed (0.4.1.2 beta), should I install GB 8.5.3 Oreo? I know it uses resources hooking so I shouldn't install the EdXposed version of GB, right? (my question is for Pie)
Sorry for the question, it's a little confusing!
Read 2 posts back or also one more pages where you can find information already discussed.
 
  • Like
Reactions: okij

sirs2k

Senior Member
Dec 7, 2010
198
7
0
Sydney
Can anyone recommend a compatible rom (preferably android 9) that has a call record feature on an S7?

I would love the combination of GB lockscreen shortcuts and a rom with call recorder
 
Last edited:

C3C076

Recognized Contributor
Dec 15, 2012
7,741
24,551
263
Bratislava
ceco.sk.eu.org
Version 8.5.4 available

Changelog 8.5.4 - 13/05/2019
- Fixed circle battery and percent text tinting when lockscreen is in dark mode
- Fixed stock battery icon not refreshing when switching between Stock and Stock with percentage
- Fixed SystemUI crash loop in case of using very large images for custom lockscreen background
- Navbar: fixed expanded desktop behavior when navbar tweaks master switch is off
- ExpandedDesktop: improved layout when navigation bar hidden by expanded desktop
- Display: fixed "Unplug turns on screen" not working on some devices
- Key actions: fixed default home key long-press action triggering after custom action when navbar master switch is disabled
- Media: improved compatibility of More music volume steps feature
- Phone: make missed call LED workaround optional
- Advanced tuning: fixed main screen preferences not fitting the screen on devices with large font size
- About: PayPal donation now allows custom amount in case premium is already unlocked
- About: removed link to Google+ community
- Updated Chinese (Simplified) translations (thanks to liveasx)

EdXposed compatibility
GravityBox requires EdXposed v0.4 or later with resource hooking support
 

BeardKing

Senior Member
Nov 1, 2012
374
162
63
Philadelphia
So this release (8.5.4) requires EdXposed? Because I installed from 8.5.3 using the regular Xposed and it freezes on the boot screen.

[edit] A reboot fixed it. Sorry! :)
 
Last edited:

j1gga84

Senior Member
Jun 21, 2012
4,603
2,728
253
Bremen
www.android-hilfe.de
@C3C076

Many thanks for the update.
I use a Samsung device running android 8.0 with EdXposed but the new 0.4.1.2 with new hooking is not working properly under android 8.0 so I went back to 0.3.1.7 beta with 8.5.3.1-edxposed but I still got an update message for 8.5.4.
I think I cannot use it until I am able to update EdXposed, correct?

Regards

Sent from my SM-G960F with Tapatalk
 

C3C076

Recognized Contributor
Dec 15, 2012
7,741
24,551
263
Bratislava
ceco.sk.eu.org
@C3C076
Many thanks for the update.
I use a Samsung device running android 8.0 with EdXposed but the new 0.4.1.2 with new hooking is not working properly under android 8.0 so I went back to 0.3.1.7 beta with 8.5.3.1-edxposed but I still got an update message for 8.5.4.
I think I cannot use it until I am able to update EdXposed, correct?
Regards
Sent from my SM-G960F with Tapatalk
Yes. 8.5.4 requires resource hooking support thus EdXposed v0.4 or later (or standard Xposed Framework by rovo)
Issue I was talking about couple of posts back have already been resolved so I expect new EdXposed release soon.
 
Mar 2, 2013
19
11
33
Using standard Xposed on my Pixel, a reboot didn't seem to work for me. I ended up disabling and then enabling in the manager and then restarted phone. Then it was working again.
 

Roberto W.

Senior Member
Dec 10, 2017
99
27
18
hey guys,

i am using gb on oreo 8.0. i switched on advance tuning and set config_shownotificationgear to true. now i can see notification badge counts on status bar icons. but the badges are too big so they are hiding the app icon.

any way to reduce the badge size? anyone knows?

greets
 

vinc88

Member
Jul 5, 2014
5
0
0
problem edxpose or xposed under magisk

hello i have a p20 lite under oreo 8.0.0 it is root with magisk 19.2 and magisk manager 7.2.0 i install the xposed module which made crash my p20 i uninstall it to install xposed.zip it's my also plant the p20 I also uninstall then I install the module "tai chi" since magisk and the apk of the I can not get the modules but in the meantime I just see that there has modules "riru-edxposed-sandhook" or "riru-edxposed -yahfa"
can you tell me how to do it if there is a compatible module or a version knowing that it is to install the module "gravity box" and I am lost because I do not know which version to choose
thank you again for your help good day
 

C3C076

Recognized Contributor
Dec 15, 2012
7,741
24,551
263
Bratislava
ceco.sk.eu.org
hello i have a p20 lite under oreo 8.0.0 it is root with magisk 19.2 and magisk manager 7.2.0 i install the xposed module which made crash my p20 i uninstall it to install xposed.zip it's my also plant the p20 I also uninstall then I install the module "tai chi" since magisk and the apk of the I can not get the modules but in the meantime I just see that there has modules "riru-edxposed-sandhook" or "riru-edxposed -yahfa"
can you tell me how to do it if there is a compatible module or a version knowing that it is to install the module "gravity box" and I am lost because I do not know which version to choose
thank you again for your help good day
On Oreo, I would rather go for original Xposed Framework by rovo89 instead of new EdXposed soultion as I guess the compatibility with Huawei devices is better compared to EdXposed.
If you decide for EdXposed, you can use YAHFA or Sandhook, whatver you find works best on your setup. There is no a definitive answer thus you will have to experiment and find out for yourself.